Loading...
Searching...
No Matches
QXmppBookmarkManager Class Reference

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkManager.h>`

Inheritance diagram for QXmppBookmarkManager:
[legend]
Collaboration diagram for QXmppBookmarkManager:
[legend]

## Public Member Functions

| QXmppBookmarkManager ()
| Constructs a new bookmark manager.
bool | areBookmarksReceived () const
QXmppBookmarkSet | bookmarks () const
bool | setBookmarks (const QXmppBookmarkSet &bookmarks)
| Stores the bookmarks on the server.
Q_SIGNAL void | bookmarksReceived (const QXmppBookmarkSet &bookmarks)
| This signal is emitted when bookmarks are received.
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoIdentity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client () const
virtual void | setClient (QXmppClient *client)
virtual void | onRegistered (QXmppClient *client)
virtual void | onUnregistered (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppBookmarkManager class allows you to store and retrieve bookmarks as defined by XEP-0048: Bookmarks.

## Member Function Documentation

## areBookmarksReceived()

bool QXmppBookmarkManager::areBookmarksReceived | ( |  | ) | const

Returns true if the bookmarks have been received from the server, false otherwise.

## bookmarks()

QXmppBookmarkSet QXmppBookmarkManager::bookmarks | ( |  | ) | const

Returns the bookmarks stored on the server.

Before calling this method, check that the bookmarks have indeed been received by calling areBookmarksReceived().

The documentation for this class was generated from the following files:

- QXmppBookmarkManager.h
- QXmppBookmarkManager.cpp